List Order Products

Retrieves basic product information for a specific B2B order. The request returns unique identifiers for a product, but it does not include more detailed information like pricing and physical dimensions. Use [Get Order Details](#get-order-details) to return full information on products from a particular order, or use [Get Ordered Product List](#get-ordered-product-list) to return information about products purchased by a Company user across multiple orders. Equivalent Storefront GraphQL API Query: `orderProducts`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Path parameters

orderIdintegerRequired

The BigCommerce order ID. This parameter does not accept the B2B Edition order ID returned in certain Server to Server Orders endpoints.

Response

OK
codeinteger
HTTP Response Code
messagestringDefaults to SUCCESS
Response message
datalist of objects

Errors

404
Not Found Error